curl --request GET \
--url https://api.splose.com/v1/support-activities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/support-activities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/support-activities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"start": "2023-07-30T09:00:00.000Z",
"end": "2023-07-30T09:00:00.000Z",
"patientId": 1,
"practitionerId": 1,
"serviceId": 1,
"locationId": 1,
"caseId": 1,
"note": "Some notes",
"itemCode": "123_456_7890",
"repeatId": "12345678-abcd-4321-dcba-12a34b56c78d",
"recurringRule": "DTSTART:2023080T010000ZRRULE:FREQ=WEEKLY;INTERVAL=2;COUNT=6",
"unit": "Hour",
"pricing": 193.99,
"quantity": 193.99,
"taxType": "STANDARD",
"invoiceId": 1,
"deletedAt": "2023-07-30T09:00:00.000Z",
"doNotInvoice": false,
"archived": false,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Get a single support-activity
Get support-activity data by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
x > 01
Response
Object with support-activity data.
Support activity id
x > 01
Support activity start date time
"2023-07-30T09:00:00.000Z"
Support activity start date time
"2023-07-30T09:00:00.000Z"
Patient id
x > 01
The practitioner id of this support activity
x > 01
The service id of this support activity
x > 01
The location id of this support activity
x > 01
The case id of this support activity
x > 01
Note for the support activity
"Some notes"
Item code for the support activity
"123_456_7890"
An recurring support activity will have this repeat id
"12345678-abcd-4321-dcba-12a34b56c78d"
The rule for recurring support activity
"DTSTART:2023080T010000ZRRULE:FREQ=WEEKLY;INTERVAL=2;COUNT=6"
The support activity unit
The support activity unit price, in dollar
193.99
The support activity quantity
193.99
Tax type, check Splose support for more info
STANDARD, ZERO, EXEMPT, REDUCED "STANDARD"
Invoice id of this support activity patient
x > 01
Object archived date time
"2023-07-30T09:00:00.000Z"
Whether this support activity patient will not be invoiced
Whether the support activity has been archived
Object creation date time
"2023-07-30T09:00:00.000Z"
Object update date time
"2023-07-30T09:00:00.000Z"